2

I am getting this error in my logs

PHP Fatal error:

Declaration of Mage_Customer_Model_Customer_Attribute_Source_Website::getAllOptions() must be compatible with Mage_Eav_Model_Entity_Attribute_Source_Table::getAllOptions($withEmpty = true, $defaultValues = false) in /var/www/vhosts/goart/app/code/core/Mage/Customer/Model/Customer/Attribute/Source/Website.php on line 34

4

Seems like you are running on PHP 7.x where method signature compatibility is strictly enforced. The only current version of Magento 1.x that supports PHP 7.x is 1.9.4.0 or patched previous versions.

If you're running a previous version and don't want to upgrade to 1.9.4.0 for some reason then the Magento 1 PHP 7.2 patches are available here

  • 1
    Yes, it's due to I was using Magento 1.9.3.0. So I have updated it to 1.9.4.0. Now it's working. – Smita Kagwade Feb 15 '19 at 7:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.